getwd()
setwd("/Users/Justin/Desktop")

library(ggplot2)
library(grid)
library(Rmisc)

dat=read.csv(file="All_chp1_data_for_regression.csv")
head(dat)

#NMDS1 and overall_mean_temp
a<- ggplot(dat, aes(NMDS1, overall_mean_temp , color=factor(type))) +
geom_point()+

stat_smooth(method = "lm")+
theme_bw()

a
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+

savePlot(filename="NMDS 1 and overall mean temp by type",
         type=c("pdf"))

lm1=lm(NMDS1~overall_mean_temp, data=dat)
summary(lm1)

b<-ggplot(dat, aes(NMDS1, overall_mean_temp))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 
savePlot(filename="NMDS 1 and overall mean temp",
         type=c("pdf"))

#Residuals:
#     Min       1Q   Median       3Q      Max 
#-0.22480 -0.12006 -0.06707  0.18969  0.29520 
#
#Coefficients:
#                  Estimate Std. Error t value Pr(>|t|)    
#(Intercept)       -88.7292     7.9199   -11.2   <2e-16 ***
#overall_mean_temp   3.1579     0.2819    11.2   <2e-16 ***
#---
#Signif. codes:  0 *** 0.001 ** 0.01 * 0.05 . 0.1   1
#
#Residual standard error: 0.1564 on 154 degrees of freedom
#Multiple R-squared:  0.449,     Adjusted R-squared:  0.4455 
#F-statistic: 125.5 on 1 and 154 DF,  p-value: < 2.2e-16

hot=subset(dat, type==3)
summary(hot)
lmz=lm(NMDS1~avg_annual_hot_days, data=hot)
summary(lmz)

#NMDS1 and overall_min
c<-ggplot(dat, aes(NMDS1, overall_min, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 
savePlot(filename="NMDS 1 and overall min by type",
         type=c("pdf"))

lm2=lm(NMDS1~overall_min, data=dat)
summary(lm2)
            # Estimate Std. Error t value Pr(>|t|)    
# (Intercept) -4.82002    0.99410  -4.849 3.01e-06 ***
# overall_min  0.19584    0.04039   4.849 3.00e-06 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1963 on 154 degrees of freedom
# Multiple R-squared:  0.1325,	Adjusted R-squared:  0.1268 
# F-statistic: 23.52 on 1 and 154 DF,  p-value: 3.004e-06

d<-ggplot(dat, aes(NMDS1, overall_min))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 
savePlot(filename="NMDS 1 and overall min",
         type=c("pdf"))



#NMDS1 and overall_max
e<-ggplot(dat, aes(NMDS1, overall_max, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm3=lm(NMDS1~overall_max, data=dat)
summary(lm3)
# Coefficients:
            # Estimate Std. Error t value Pr(>|t|)    
# (Intercept) -23.8625     3.1777  -7.509 4.49e-12 ***
# overall_max   0.7619     0.1015   7.509 4.49e-12 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1803 on 154 degrees of freedom
# Multiple R-squared:  0.268,	Adjusted R-squared:  0.2633 
# F-statistic: 56.39 on 1 and 154 DF,  p-value: 4.487e-12
f<-ggplot(dat, aes(NMDS1, overall_max))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 

#NMDS1 and overall_range
g<-ggplot(dat, aes(NMDS1, overall_range, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm4=lm(NMDS1~overall_range, data=dat)
summary(lm4)
# Coefficients:
              # Estimate Std. Error t value Pr(>|t|)  
# (Intercept)    0.58002    0.27552   2.105   0.0369 *
# overall_range -0.08648    0.04100  -2.109   0.0366 *
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.2078 on 154 degrees of freedom
# Multiple R-squared:  0.02807,	Adjusted R-squared:  0.02176 
# F-statistic: 4.448 on 1 and 154 DF,  p-value: 0.03656

h<-ggplot(dat, aes(NMDS1, overall_range))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 


#NMDS1 and avg_annual_min
i<-ggplot(dat, aes(NMDS1, avg_annual_min, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 



lm5=lm(NMDS1~avg_annual_min, data=dat)
summary(lm5)
# Coefficients:
                # Estimate Std. Error t value Pr(>|t|)    
# (Intercept)    -10.41767    1.52646  -6.825  1.9e-10 ***
# avg_annual_min   0.41350    0.06059   6.825  1.9e-10 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1847 on 154 degrees of freedom
# Multiple R-squared:  0.2322,	Adjusted R-squared:  0.2272 
# F-statistic: 46.58 on 1 and 154 DF,  p-value: 1.899e-10

j<-ggplot(dat, aes(NMDS1, avg_annual_min))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 

#NMDS1 and avg_annual_max
k<-ggplot(dat, aes(NMDS1, avg_annual_max, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm6=lm(NMDS1~avg_annual_max, data=dat)
summary(lm6)
# Coefficients:
               # Estimate Std. Error t value Pr(>|t|)  
# (Intercept)    -11.1068     4.8644  -2.283   0.0238 *
# avg_annual_max   0.3606     0.1579   2.283   0.0238 *
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.2073 on 154 degrees of freedom
# Multiple R-squared:  0.03274,	Adjusted R-squared:  0.02646 
# F-statistic: 5.213 on 1 and 154 DF,  p-value: 0.02378

l<-ggplot(dat, aes(NMDS1, avg_annual_max))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw() 


#NMDS1 and average_annual_range
m<-ggplot(dat, aes(NMDS1, average_annual_range, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm7=lm(NMDS1~average_annual_range, data=dat)
summary(lm7)
# Coefficients:
                     # Estimate Std. Error t value Pr(>|t|)    
# (Intercept)            1.1028     0.2787   3.957 0.000116 ***
# average_annual_range  -0.1966     0.0496  -3.963 0.000113 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.2008 on 154 degrees of freedom
# Multiple R-squared:  0.09256,	Adjusted R-squared:  0.08667 
# F-statistic: 15.71 on 1 and 154 DF,  p-value: 0.0001127

n<-ggplot(dat, aes(NMDS1, average_annual_range))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS1 and avg_annual_hot_days
o<-ggplot(dat, aes(NMDS1, avg_annual_hot_days, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm8=lm(NMDS1~avg_annual_hot_days, data=dat)
summary(lm8)
# Coefficients:
                     # Estimate Std. Error t value Pr(>|t|)
# (Intercept)         -0.117109   0.120099  -0.975    0.331
# avg_annual_hot_days  0.002379   0.002416   0.985    0.326

# Residual standard error: 0.2101 on 154 degrees of freedom
# Multiple R-squared:  0.006258,	Adjusted R-squared:  -0.0001945 
# F-statistic: 0.9699 on 1 and 154 DF,  p-value: 0.3263

p<-ggplot(dat, aes(NMDS1, avg_annual_hot_days))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS1 and avg_consec_hot_days
q<-ggplot(dat, aes(NMDS1, avg_consec_hot_days, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm9=lm(NMDS1~avg_consec_hot_days, data=dat)
summary(lm9)
# Coefficients:
                     # Estimate Std. Error t value Pr(>|t|)    
# (Intercept)          0.395558   0.095638   4.136 5.79e-05 ***
# avg_consec_hot_days -0.026857   0.006402  -4.195 4.59e-05 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1997 on 154 degrees of freedom
# Multiple R-squared:  0.1026,	Adjusted R-squared:  0.09673 
# F-statistic:  17.6 on 1 and 154 DF,  p-value: 4.591e-05

r<-ggplot(dat, aes(NMDS1, avg_consec_hot_days))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS1 and DOC 
s<-ggplot(dat, aes(NMDS1, DOC, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 
s
lm10=lm(NMDS1~DOC, data=dat)
summary(lm10)

# Coefficients:
             # Estimate Std. Error t value Pr(>|t|)    
# (Intercept) -0.263802   0.038043  -6.934 1.06e-10 ***
# DOC          0.002796   0.000373   7.496 4.85e-12 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1804 on 154 degrees of freedom
# Multiple R-squared:  0.2673,	Adjusted R-squared:  0.2626 
# F-statistic: 56.18 on 1 and 154 DF,  p-value: 4.848e-12

t<-ggplot(dat, aes(NMDS1, DOC))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS1 and CN 
u<-ggplot(dat, aes(NMDS1, CN, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 
u

lm11=lm(NMDS1~CN, data=dat)
summary(lm11)
# Coefficients:
             # Estimate Std. Error t value Pr(>|t|)    
# (Intercept) -0.223048   0.034621  -6.443 1.42e-09 ***
# CN           0.021405   0.003011   7.110 4.08e-11 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.1829 on 154 degrees of freedom
# Multiple R-squared:  0.2471,	Adjusted R-squared:  0.2422 
# F-statistic: 50.55 on 1 and 154 DF,  p-value: 4.08e-11

v<-ggplot(dat, aes(NMDS1, CN))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()
v

#NMDS1 and DON  
w<-ggplot(dat, aes(NMDS1, DON, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm12=lm(NMDS1~DON , data=dat)
summary(lm12)
# Coefficients:
              # Estimate Std. Error t value Pr(>|t|)    
# (Intercept)  0.1031858  0.0179151   5.760 4.44e-08 ***
# DON         -0.0049380  0.0005527  -8.934 1.18e-15 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# Residual standard error: 0.171 on 154 degrees of freedom
# Multiple R-squared:  0.3414,	Adjusted R-squared:  0.3371 
# F-statistic: 79.81 on 1 and 154 DF,  p-value: 1.18e-15

x<-ggplot(dat, aes(NMDS1, DON))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS1 and DIN  
y<-ggplot(dat, aes(NMDS1, DIN, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm14=lm(NMDS1~DIN , data=dat)
summary(lm14)

z<-ggplot(dat, aes(NMDS1, DIN))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS1 and X13_yr_chla  
aa<-ggplot(dat, aes(NMDS1, X13_yr_chla, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("#5682DF","#009E73","#D74B00"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 
aa

lm15=lm(NMDS1~X13_yr_chla , data=dat)
summary(lm15)

bb<-ggplot(dat, aes(NMDS1, X13_yr_chla))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

multiplot(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,aa,bb, cols=7)
savePlot(filename="NMDS1 regressions",
         type=c("pdf"))
multiplot(k,s,m,y,o,w,q,aa, cols=4)
savePlot(filename="NMDS1 regression figure", type=c("pdf"))
####################################
############################################################################################################
#NMDS2 and overall_mean_temp
b1<-ggplot(dat, aes(NMDS2, overall_mean_temp, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm21=lm(NMDS2~overall_mean_temp, data=dat)
summary(lm21)

b2<-ggplot(dat, aes(NMDS2, overall_mean_temp))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and overall_min
b3<-ggplot(dat, aes(NMDS2, overall_min, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm22=lm(NMDS2~overall_min, data=dat)
summary(lm22)

b4<-ggplot(dat, aes(NMDS2, overall_min))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and overall_max
b5<-ggplot(dat, aes(NMDS2, overall_max, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm23=lm(NMDS2~overall_max, data=dat)
summary(lm23)

b6<-ggplot(dat, aes(NMDS2, overall_max))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS2 and overall_range
b7<-ggplot(dat, aes(NMDS2, overall_range, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm24=lm(NMDS2~overall_range, data=dat)
summary(lm24)

b8<-ggplot(dat, aes(NMDS2, overall_range))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS2 and avg_annual_min
b9<-ggplot(dat, aes(NMDS2, avg_annual_min, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm25=lm(NMDS2~avg_annual_min, data=dat)
summary(lm25)

b10<-ggplot(dat, aes(NMDS2, avg_annual_min))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and avg_annual_max
b11<-ggplot(dat, aes(NMDS2, avg_annual_max, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm26=lm(NMDS2~avg_annual_max, data=dat)
summary(lm26)

b12<-ggplot(dat, aes(NMDS2, avg_annual_max))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS2 and average_annual_range
b13<-ggplot(dat, aes(NMDS2, average_annual_range, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm27=lm(NMDS2~average_annual_range, data=dat)
summary(lm27)

b14<-ggplot(dat, aes(NMDS2, average_annual_range))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS2 and avg_annual_hot_days
b15<-ggplot(dat, aes(NMDS2, avg_annual_hot_days, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm28=lm(NMDS2~avg_annual_hot_days, data=dat)
summary(lm28)

b16<-ggplot(dat, aes(NMDS2, avg_annual_hot_days))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()


#NMDS1 and avg_consec_hot_days
b17<-ggplot(dat, aes(NMDS2, avg_consec_hot_days, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm29=lm(NMDS2~avg_consec_hot_days, data=dat)
summary(lm29)

b18<-ggplot(dat, aes(NMDS2, avg_consec_hot_days))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and DOC 
b19<-ggplot(dat, aes(NMDS2, DOC, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm210=lm(NMDS2~DOC, data=dat)
summary(lm210)

b20<-ggplot(dat, aes(NMDS2, DOC))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and CN 
b21<-ggplot(dat, aes(NMDS2, CN, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm211=lm(NMDS2~CN, data=dat)
summary(lm211)

b22<-ggplot(dat, aes(NMDS2, CN))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and DON  
b23<-ggplot(dat, aes(NMDS2, DON, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm212=lm(NMDS2~DON , data=dat)
summary(lm212)

b24<-ggplot(dat, aes(NMDS2, DON))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and DIN  
b25<-ggplot(dat, aes(NMDS2, DIN, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm214=lm(NMDS2~DIN , data=dat)
summary(lm214)

b26<-ggplot(dat, aes(NMDS2, DIN))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

#NMDS2 and X13_yr_chla  
b27<-ggplot(dat, aes(NMDS2, X13_yr_chla, color=factor(type))) +
geom_point()+
scale_color_manual(values=c("blue","green","red"),guide=FALSE)+
stat_smooth(method = "lm")+
theme_bw() 

lm215=lm(NMDS2~X13_yr_chla , data=dat)
summary(lm215)

b28<-ggplot(dat, aes(NMDS2, X13_yr_chla))+#, color=factor(type))) +
geom_point()+
stat_smooth(method = "lm")+
theme_bw()

multiplot(b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13,b14,b15,b16,b17,b18,b19,b20,b21,b22,b23,b24,b25,b26,b27,b28, cols=7)
savePlot(filename="NMDS2 regressions",
         type=c("pdf"))
multiplot(b12,b20,b14,b24,b16,b26,b18,b28, cols=4)
savePlot(filename="NMDS2 all data regressions",
         type=c("pdf"))
multiplot(l,t,n,x,p,z,r, bb, cols=4)
savePlot(filename="NMDS1 all data regressions",
         type=c("pdf"))

##########################################################
##########################################################
#Subsetting by type and comparing with NMDS1

low=subset(dat, type==1)
mod=subset(dat, type==2)
hot=subset(dat, type==3)
summary(low)
summary(mod)
summary(hot)

#Annual max
lm1=lm(NMDS1~avg_annual_max, data=low)
summary(lm1)
lm2=lm(NMDS1~avg_annual_max, data=mod)
summary(lm2)
lm3=lm(NMDS1~avg_annual_max, data=hot)
summary(lm3)

#Annual Range
lm4=lm(NMDS1~average_annual_range, data=low)
summary(lm4)
lm5=lm(NMDS1~average_annual_range, data=mod)
summary(lm5)
lm6=lm(NMDS1~average_annual_range, data=hot)
summary(lm6)

#Hot days
lm7=lm(NMDS1~avg_annual_hot_days, data=low)
summary(lm7)
lm8=lm(NMDS1~avg_annual_hot_days, data=mod)
summary(lm8)
lm9=lm(NMDS1~avg_annual_hot_days, data=hot)
summary(lm9)


#Consec hot days
lm10=lm(NMDS1~avg_consec_hot_days, data=low)
summary(lm10)
lm11=lm(NMDS1~avg_consec_hot_days, data=mod)
summary(lm11)
lm12=lm(NMDS1~avg_consec_hot_days, data=hot)
summary(lm12)

#Chla 
lmchl1=lm(NMDS1~X13_yr_chla, data=low)
summary(lmchl1)
lmchl2=lm(NMDS1~X13_yr_chla, data=mod)
summary(lmchl2)
lmchl3=lm(NMDS1~X13_yr_chla, data=hot)
summary(lmchl3)

#DOC
lmdoc1=lm(NMDS1~DOC, data=low)
summary(lmdoc1)
lmdoc2=lm(NMDS1~DOC, data=mod)
summary(lmdoc2)
lmdoc3=lm(NMDS1~DOC, data=hot)
summary(lmdoc3)

#DIN
lmdin=lm(NMDS1~DIN, data=low)
summary(lmdin)
lmdin=lm(NMDS1~DIN, data=mod)
summary(lmdin)
lmdin=lm(NMDS1~DIN, data=hot)
summary(lmdin)

#DON
lmdon=lm(NMDS1~DON, data=low)
summary(lmdon)
lmdon=lm(NMDS1~DON, data=mod)
summary(lmdon)
lmdon=lm(NMDS1~DON, data=hot)
summary(lmdon)

#CN
lmcn=lm(NMDS1~CN, data=low)
summary(lmcn)
lmcn=lm(NMDS1~CN, data=mod)
summary(lmcn)
lmcn=lm(NMDS1~CN, data=hot)
summary(lmcn)